shishi_realm_for_server(3)

NAME
shishi_realm_for_server - API function

SYNOPSIS
#include <shishi.h>

char * shishi_realm_for_server(Shishi * handle, char * server);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

char * server
    hostname to find realm for.

DESCRIPTION
Find realm for a host, using various methods. Currently this includes static configuration files (see shishi_realm_for_server_file()) and DNS (see shishi_realm_for_server_dns()).

RETURN VALUE
Returns realm for host, or NULL if not found.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.